import { queryOptions } from "@tanstack/react-query";
import axios from "axios";

export function getlabelRatio() {
    return queryOptions({
        queryKey: ["labelRatio"],
        queryFn: () => fetchSettings(),

        //staleTime: 1000,
        refetchInterval: 2 * 2000,
        refetchOnWindowFocus: true,
    });
}

const fetchSettings = async () => {
    const { data } = await axios.get(`/api/ocp/labelratio`);
    // if we are not localhost ignore the devDir setting.
    //const url: string = window.location.host.split(":")[0];
    return data.data ?? [];
};
